Skip to main content
POST
https://{tenantDomain}/api/v2
/
users
/
{id}
/
recovery-code-regeneration
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Users.RegenerateRecoveryCode(
        context.TODO(),
        "id",
    )
}
{
  "recovery_code": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the user to regenerate a multi-factor authentication recovery code for.

Response

New recovery code successfully generated.

recovery_code
string

New account recovery code.